<?xml version="1.0" encoding="UTF-8"?>

<!--
/* Copyright (c) 2002 NEOMAlogic All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *    "This product includes software developed by the Solex project
 *    (http://www.neomalogic.com/solex)". Alternately, this acknowledgment
 *    may appear in the software itself, if and wherever such third-party 
 *    acknowledgments normally appear.
 * 
 * 4. The names "Solex" and "NEOMAlogic" must not be used to endorse 
 *    or promote products derived from this software without prior 
 *    written permission. For written permission, please contact 
 *    license@neomalogic.com.
 * 
 * 5. Products derived from this software may not be called "Solex",
 *    nor may "Solex" appear in their name, without prior written
 *    permission of the Solex project.
 * 
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
 * IN NO EVENT SHALL THE SOLEX PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS 
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
 * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Solex Project.  For more information 
 * please see <http://www.neomalogic.com/solex>.
 */ -->

<!-- // $Id: simple.xsl,v 1.1 2002/06/03 16:24:03 tw Exp $ -->

<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="results">
		<html>
			<head>
				<title>Solex HTTP session playback results</title>
			</head>
			<body bgcolor="#FFFFFF">
				<table border="0" align="center" cellpadding="0" cellspacing="0" width="80%">
					<tr>
						<td>
							<b>Session: </b>
							<xsl:value-of select="session"/>
						</td>
						<td>&nbsp;</td>
						</tr>
						<tr>
						<td>
							<b>Date: </b>
							<xsl:value-of select="date"/>
						</td>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td>
							<b>Request</b>
						</td>
						<td>
							<b>Status</b>
						</td>
					</tr>
					<xsl:apply-templates select="request"/>
					<tr>
						<td>&nbsp;</td>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td>
							<b>
								<xsl:value-of select="message"/>
							</b>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="request">
		<tr>
			<td>
				<xsl:value-of select="source"/>
			</td>
			<td>
				<xsl:value-of select="status"/>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>
